Index: issm/branches/trunk-jpl-damage/configs/config-altix64-castor.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-altix64-castor.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-altix64-castor.sh	(revision 12168)
@@ -1,3 +1,3 @@
 #!/bin/csh
 
-./configure --prefix=$ISSM_TIER --with-serial=no --with-metis-dir=$ISSM_TIER/externalpackages/metis/install --with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install --with-mpi-include=/usr/include  --with-mpi-lib="-L/usr/lib -lmpi" --with-petsc-arch=$ISSM_ARCH --with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install --with-mkl-dir=/opt/intel/mkl/9.1.023/lib/64 --with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install --with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/$ISSM_ARCH -lPLAPACK" --with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/$ISSM_ARCH/INCLUDE" --with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/$ISSM_ARCH/ --with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/$ISSM_ARCH/ --with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/$ISSM_ARCH --with-graphics-lib=/usr/X11R6/lib/libX11.so
+./configure --prefix=$ISSM_DIR --with-serial=no --with-metis-dir=$ISSM_DIR/externalpackages/metis/install --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install --with-mpi-include=/usr/include  --with-mpi-lib="-L/usr/lib -lmpi" --with-petsc-arch=$ISSM_ARCH --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install --with-mkl-dir=/opt/intel/mkl/9.1.023/lib/64 --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/$ISSM_ARCH -lPLAPACK" --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/$ISSM_ARCH/INCLUDE" --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/$ISSM_ARCH/ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/$ISSM_ARCH/ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/$ISSM_ARCH --with-graphics-lib=/usr/X11R6/lib/libX11.so
Index: issm/branches/trunk-jpl-damage/configs/config-arm-linux.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-arm-linux.sh	(revision 12168)
+++ issm/branches/trunk-jpl-damage/configs/config-arm-linux.sh	(revision 12168)
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+pythonversion=2.7
+
+./configure \
+	--prefix=$ISSM_DIR \
+	--with-python-dir=$ISSM_DIR/externalpackages/python/install\
+	--with-python-version=$pythonversion \
+	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/Python.framework/Versions/$pythonversion/lib/python$pythonversion/site-packages/numpy/core/include/numpy\
+	--with-vendor=arm-linux \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install
Index: issm/branches/trunk-jpl-damage/configs/config-cosmos.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-cosmos.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-cosmos.sh	(revision 12168)
@@ -1,3 +1,3 @@
 #!/bin/csh
 
-./configure --prefix=$ISSM_TIER --with-serial=no --with-metis-dir=$ISSM_TIER/externalpackages/metis/install --with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install --with-mpi-include=/opt/mpich/gm/intel10.1/include  --with-mpi-lib="-L/opt/mpich/gm/intel10.1/lib -lmpich -L/usr/local/gm/lib/ -lgm  -lpthread  -lrt" --with-petsc-arch=$ISSM_ARCH --with-mkl-dir=/opt/intel/mkl/10.0.5.025/lib/32/  --with-plapack-dir="-L$ISSM_TIER/externalpackages/petsc/install/$ISSM_ARCH -lPLAPACK" --with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/$ISSM_ARCH/INCLUDE" --with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/$ISSM_ARCH/ --with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/$ISSM_ARCH/ --with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/$ISSM_ARCH  --with-vendor=intel-linux --with-graphics-lib=/usr/X11R6/lib/libX11.so
+./configure --prefix=$ISSM_DIR --with-serial=no --with-metis-dir=$ISSM_DIR/externalpackages/metis/install --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install --with-mpi-include=/opt/mpich/gm/intel10.1/include  --with-mpi-lib="-L/opt/mpich/gm/intel10.1/lib -lmpich -L/usr/local/gm/lib/ -lgm  -lpthread  -lrt" --with-petsc-arch=$ISSM_ARCH --with-mkl-dir=/opt/intel/mkl/10.0.5.025/lib/32/  --with-plapack-dir="-L$ISSM_DIR/externalpackages/petsc/install/$ISSM_ARCH -lPLAPACK" --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/$ISSM_ARCH/INCLUDE" --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/$ISSM_ARCH/ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/$ISSM_ARCH/ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/$ISSM_ARCH  --with-vendor=intel-linux --with-graphics-lib=/usr/X11R6/lib/libX11.so
Index: issm/branches/trunk-jpl-damage/configs/config-greenplanet.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-greenplanet.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-greenplanet.sh	(revision 12168)
@@ -5,19 +5,19 @@
 
 ./configure \
- --prefix=$ISSM_TIER \
- --with-serial=no \
- --with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
- --with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
- --with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install \
+ --prefix=$ISSM_DIR \
+ --with-modules=no \
+ --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+ --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
  --with-mpi-include="/sopt/mpi/openmpi-1.5.4_psm/intel/include/" \
  --with-mpi-lib="-L/sopt/mpi/openmpi-1.5.4_psm/intel/lib/ -lmpi -lmpi_f77" \
  --with-petsc-arch=$ISSM_ARCH \
- --with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
+ --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
  --with-mkl-dir=/opt/intel/mkl/10.2.4.032/ \
- --with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
- --with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
- --with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+ --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+ --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
  --with-graphics-lib=/usr/lib64/libX11.so \
  --with-cxxoptflags="-O3 -xS" \
Index: issm/branches/trunk-jpl-damage/configs/config-linux64-astrid-ad.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-linux64-astrid-ad.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-linux64-astrid-ad.sh	(revision 12168)
@@ -2,22 +2,22 @@
 
 ./configure \
- --prefix=$ISSM_TIER \
+ --prefix=$ISSM_DIR \
  --with-serial=no\
- --with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
- --with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install \
- --with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
- --with-mpi-lib="-L$ISSM_TIER/externalpackages/mpich2/install/lib/ -lmpich" \
+ --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+ --with-mpi-lib="-L$ISSM_DIR/externalpackages/mpich2/install/lib/ -lmpich" \
  --with-petsc-arch=$ISSM_ARCH \
- --with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
- --with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
- --with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
- --with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+ --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+ --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
+ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
  --with-graphics-lib=/usr/lib64/libX11.so \
  --with-cxxoptflags="-march=opteron -O2" \
  --with-fortran-lib="-L/usr/lib/gcc/x86_64-redhat-linux/4.1.1/ -lgfortran" \
- --with-rose-dir=$ISSM_TIER/externalpackages/rose/install/ \
- --with-adic2-dir=$ISSM_TIER/externalpackages/adic/install/ \
+ --with-rose-dir=$ISSM_DIR/externalpackages/rose/install/ \
+ --with-adic2-dir=$ISSM_DIR/externalpackages/adic/install/ \
  --with-numthreads=24 \
  --without-thermal \
Index: issm/branches/trunk-jpl-damage/configs/config-linux64-astrid-mpich1.0.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-linux64-astrid-mpich1.0.sh	(revision 12168)
+++ issm/branches/trunk-jpl-damage/configs/config-linux64-astrid-mpich1.0.sh	(revision 12168)
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+#External packages versions:
+#petsc 3.1 or 3.2
+#mpich 1.0.2
+
+./configure \
+ --prefix=$ISSM_DIR \
+ --with-matlab-dir=$MATLAB_DIR \
+ --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+ --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-tao-dir=$ISSM_DIR/externalpackages/tao/install \
+ --with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+ --with-mpi-lib="-L$ISSM_DIR/externalpackages/mpich2/install/lib/ -lmpich " \
+ --with-petsc-arch=$ISSM_ARCH \
+ --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+ --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+ --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
+ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scotch-dir="$ISSM_DIR/externalpackages/scotch/install" \
+ --with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
+ --with-shapelib-dir="$ISSM_DIR/externalpackages/shapelib/install" \
+ --with-fortran-lib="-L/usr/lib/gcc/x86_64-redhat-linux/4.1.1/ -lgfortran" \
+ --with-graphics-lib=/usr/lib64/libX11.so \
+ --with-cxxoptflags="-march=opteron -O2" \
+ --with-numthreads=32 \
+ --enable-debugging
Index: issm/branches/trunk-jpl-damage/configs/config-linux64-astrid.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-linux64-astrid.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-linux64-astrid.sh	(revision 12168)
@@ -3,26 +3,26 @@
 #External packages versions:
 #petsc 3.1 or 3.2
-#mpich 1.0.2
+#mpich 1.4
 
 ./configure \
- --prefix=$ISSM_TIER \
+ --prefix=$ISSM_DIR \
  --with-matlab-dir=$MATLAB_DIR \
- --with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
- --with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
- --with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install \
- --with-tao-dir=$ISSM_TIER/externalpackages/tao/install \
- --with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
- --with-mpi-lib="-L$ISSM_TIER/externalpackages/mpich2/install/lib/ -lmpich " \
+ --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+ --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-tao-dir=$ISSM_DIR/externalpackages/tao/install \
+ --with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+ --with-mpi-lib="-L$ISSM_DIR/externalpackages/mpich2/install/lib/ -lmpich -lmpl " \
  --with-petsc-arch=$ISSM_ARCH \
- --with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
- --with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
- --with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
- --with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
- --with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-scotch-dir="$ISSM_TIER/externalpackages/scotch/install" \
- --with-chaco-dir="$ISSM_TIER/externalpackages/chaco/install" \
- --with-shapelib-dir="$ISSM_TIER/externalpackages/shapelib/install" \
+ --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+ --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+ --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
+ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scotch-dir="$ISSM_DIR/externalpackages/scotch/install" \
+ --with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
+ --with-shapelib-dir="$ISSM_DIR/externalpackages/shapelib/install" \
  --with-fortran-lib="-L/usr/lib/gcc/x86_64-redhat-linux/4.1.1/ -lgfortran" \
  --with-graphics-lib=/usr/lib64/libX11.so \
Index: issm/branches/trunk-jpl-damage/configs/config-linux64-murdo-ad.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-linux64-murdo-ad.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-linux64-murdo-ad.sh	(revision 12168)
@@ -2,23 +2,23 @@
 
 ./configure \
- --prefix=$ISSM_TIER \
+ --prefix=$ISSM_DIR \
  --with-serial=no\
- --with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
- --with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install \
- --with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
- --with-mpi-lib="-L$ISSM_TIER/externalpackages/mpich2/install/lib/ -lmpich" \
+ --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+ --with-mpi-lib="-L$ISSM_DIR/externalpackages/mpich2/install/lib/ -lmpich" \
  --with-petsc-arch=$ISSM_ARCH \
- --with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
- --with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
- --with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
- --with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-hypre-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-ml-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+ --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+ --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
+ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-hypre-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-ml-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
  --with-graphics-lib=/usr/lib64/libX11.so \
  --with-cxxoptflags="-mtune=barcelona -ffast-math -O3 -msse4.2 -Wno-write-strings "\
  --with-fortran-lib="-L/usr/lib/gcc/x86_64-redhat-linux/3.4.6/ -lg2c  /usr/lib/gcc/x86_64-redhat-linux/4.1.1/libgfortran.a" \
- --with-adic2-dir=$ISSM_TIER/externalpackages/adic/install/ \
+ --with-adic2-dir=$ISSM_DIR/externalpackages/adic/install/ \
 --with-numthreads=24 \
  --without-thermal \
Index: issm/branches/trunk-jpl-damage/configs/config-linux64-murdo-nopetsc.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-linux64-murdo-nopetsc.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-linux64-murdo-nopetsc.sh	(revision 12168)
@@ -2,26 +2,26 @@
 
 ./configure \
- --prefix=$ISSM_TIER \
- --with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
- --with-mpi-lib="-L$ISSM_TIER/externalpackages/mpich2/install/lib/ -lmpich" \
+ --prefix=$ISSM_DIR \
+ --with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+ --with-mpi-lib="-L$ISSM_DIR/externalpackages/mpich2/install/lib/ -lmpich" \
  --with-matlab-dir=$MATLAB_DIR \
- --with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
- --with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
- --with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install/lib \
+ --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+ --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+ --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install/lib \
  --with-graphics-lib=/usr/lib64/libX11.so \
- --with-scotch-dir="$ISSM_TIER/externalpackages/scotch/install" \
- --with-chaco-dir="$ISSM_TIER/externalpackages/chaco/install" \
+ --with-scotch-dir="$ISSM_DIR/externalpackages/scotch/install" \
+ --with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
  --with-cxxoptflags="-mtune=barcelona -ffast-math -O3 -msse4.2 -Wno-write-strings "\
  --with-numthreads=18 \
  --enable-debugging \
- --with-gsl-dir=$ISSM_TIER/externalpackages/gsl/install
+ --with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install
  
  
-# --with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install \
+# --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
 # --with-petsc-arch=$ISSM_ARCH \
-# --with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-# --with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
-# --with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-# --with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-# --with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-# --with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
+# --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+# --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
+# --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+# --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+# --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+# --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
Index: issm/branches/trunk-jpl-damage/configs/config-linux64-murdo.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-linux64-murdo.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-linux64-murdo.sh	(revision 12168)
@@ -2,24 +2,24 @@
 
 ./configure \
- --prefix=$ISSM_TIER \
+ --prefix=$ISSM_DIR \
  --with-matlab-dir=$MATLAB_DIR \
- --with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
- --with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
- --with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install \
- --with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
- --with-mpi-lib="-L$ISSM_TIER/externalpackages/mpich2/install/lib/ -lmpich" \
+ --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+ --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+ --with-mpi-lib="-L$ISSM_DIR/externalpackages/mpich2/install/lib/ -lmpich" \
  --with-petsc-arch=$ISSM_ARCH \
- --with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
- --with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
- --with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
- --with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-scotch-dir="$ISSM_TIER/externalpackages/scotch/install" \
- --with-chaco-dir="$ISSM_TIER/externalpackages/chaco/install" \
+ --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+ --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
+ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scotch-dir="$ISSM_DIR/externalpackages/scotch/install" \
+ --with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
  --with-graphics-lib=/usr/lib64/libX11.so \
  --with-cxxoptflags="-mtune=barcelona -ffast-math -O3 -msse4.2 -Wno-write-strings "\
  --with-numthreads=18 \
- --with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
+ --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
  --enable-debugging
  
Index: issm/branches/trunk-jpl-damage/configs/config-macosx32-mathieu.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx32-mathieu.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx32-mathieu.sh	(revision 12168)
@@ -10,19 +10,19 @@
 
 ./configure \
-	--prefix=$ISSM_TIER \
+	--prefix=$ISSM_DIR \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
 	--with-petsc-arch=$ISSM_ARCH \
-	--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
 	--with-fortran-lib="/usr/local/lib/libgfortran.a" \
 	--with-math-lib="/usr/lib/libm.dylib" \
Index: issm/branches/trunk-jpl-damage/configs/config-macosx32-ogive.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx32-ogive.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx32-ogive.sh	(revision 12168)
@@ -5,19 +5,19 @@
 
 ./configure \
-	--prefix=$ISSM_TIER \
+	--prefix=$ISSM_DIR \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
 	--with-petsc-arch=$ISSM_ARCH \
-	--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
 	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
 	--with-math-lib="/usr/lib/libm.dylib" \
Index: issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-ad.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-ad.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-ad.sh	(revision 12168)
@@ -6,17 +6,17 @@
 ./configure \
 	--with-serial=no\
-	--prefix=$ISSM_TIER \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
+	--prefix=$ISSM_DIR \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
 	--without-blas-lapack-dir \
-	--with-chaco-dir=$ISSM_TIER/externalpackages/chaco/install \
+	--with-chaco-dir=$ISSM_DIR/externalpackages/chaco/install \
 	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
-	--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
 	--with-math-lib="/usr/lib/libm.dylib" \
 	--with-graphics-lib="/usr/X11/lib/libX11.dylib" \
 	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
-	--with-adic2-dir=$ISSM_TIER/externalpackages/adic/install/ \
-	--with-adolc-dir=$ISSM_TIER/externalpackages/adolc/install/ \
+	--with-adic2-dir=$ISSM_DIR/externalpackages/adic/install/ \
+	--with-adolc-dir=$ISSM_DIR/externalpackages/adolc/install/ \
 	--with-numthreads=8 \
 	--without-thermal \
@@ -34,10 +34,10 @@
  
 #--without-prognostic \
-#--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
+#--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
 #--with-petsc-arch=$ISSM_ARCH \
-#--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-#--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-#--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-#--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-#--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-#--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+#--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+#--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+#--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+#--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+#--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+#--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
